Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.InternalFrameUI
                  |
                  +--javax.swing.plaf.basic.BasicInternalFrameUI

Direct Known Subclasses:
  MetalInternalFrameUI

public class BasicInternalFrameUI
extends InternalFrameUI

A basic L&F implementation of JInternalFrame.

Inner Class Summary
`protected class` | `BasicInternalFrameUI.BasicInternalFrameListener`
`protected class` | `BasicInternalFrameUI.BorderListener` Listens for border adjustments.
`protected class` | `BasicInternalFrameUI.ComponentHandler`
`protected class` | `BasicInternalFrameUI.GlassPaneDispatcher`
`class` | `BasicInternalFrameUI.InternalFrameLayout`
`class` | `BasicInternalFrameUI.InternalFramePropertyChangeListener`

Field Summary
`protected MouseInputAdapter` | `borderListener`
`protected java.awt.event.ComponentListener` | `componentListener`
`protected JComponent` | `eastPane`
`protected JInternalFrame` | `frame`
`protected MouseInputListener` | `glassPaneDispatcher`
`protected java.awt.LayoutManager` | `internalFrameLayout`
`protected JComponent` | `northPane`
`protected KeyStroke` | `openMenuKey`
`protected java.beans.PropertyChangeListener` | `propertyChangeListener`
`protected JComponent` | `southPane`
`protected BasicInternalFrameTitlePane` | `titlePane`
`protected JComponent` | `westPane`

Constructor Summary
`BasicInternalFrameUI(JInternalFrame b)`

Method Summary
`protected void` | `activateFrame(JInternalFrame f)` This method is called when the frame becomes selected.
`protected void` | `closeFrame(JInternalFrame f)` This method is called when the user wants to close the frame.
`protected MouseInputAdapter` | `createBorderListener(JInternalFrame w)`
`protected java.awt.event.ComponentListener` | `createComponentListener()`
`protected DesktopManager` | `createDesktopManager()`
`protected JComponent` | `createEastPane(JInternalFrame w)`
`protected MouseInputListener` | `createGlassPaneDispatcher()`
`protected void` | `createInternalFrameListener()`
`protected java.awt.LayoutManager` | `createLayoutManager()`
`protected JComponent` | `createNorthPane(JInternalFrame w)`
`protected java.beans.PropertyChangeListener` | `createPropertyChangeListener()`
`protected JComponent` | `createSouthPane(JInternalFrame w)`
`static ComponentUI` | `createUI(JComponent b)`
`protected JComponent` | `createWestPane(JInternalFrame w)`
`protected void` | `deactivateFrame(JInternalFrame f)` This method is called when the frame is no longer selected.
`protected void` | `deiconifyFrame(JInternalFrame f)` This method is called when the user wants to deiconify the frame.
`protected void` | `deinstallMouseHandlers(JComponent c)`
`protected DesktopManager` | `getDesktopManager()` Returns the proper DesktopManager.
`JComponent` | `getEastPane()`
`java.awt.Dimension` | `getMaximumSize(JComponent x)`
`java.awt.Dimension` | `getMinimumSize(JComponent x)`
`JComponent` | `getNorthPane()`
`java.awt.Dimension` | `getPreferredSize(JComponent x)`
`JComponent` | `getSouthPane()`
`JComponent` | `getWestPane()`
`protected void` | `iconifyFrame(JInternalFrame f)` This method is called when the user wants to iconify the frame.
`protected void` | `installComponents()`
`protected void` | `installDefaults()`
`protected void` | `installKeyboardActions()`
`protected void` | `installListeners()`
`protected void` | `installMouseHandlers(JComponent c)`
`void` | `installUI(JComponent c)`
`boolean` | `isKeyBindingActive()`
`protected boolean` | `isKeyBindingRegistered()`
`protected void` | `maximizeFrame(JInternalFrame f)` This method is called when the user wants to maximize the frame.
`protected void` | `minimizeFrame(JInternalFrame f)` This method is called when the user wants to minimize the frame.
`protected void` | `replacePane(JComponent currentPane, JComponent newPane)` Adds necessary mouseHandlers to currentPane and adds it to frame.
`void` | `setEastPane(JComponent c)`
`protected void` | `setKeyBindingActive(boolean b)`
`protected void` | `setKeyBindingRegistered(boolean b)`
`void` | `setNorthPane(JComponent c)`
`void` | `setSouthPane(JComponent c)`
`protected void` | `setupMenuCloseKey()`
`protected void` | `setupMenuOpenKey()`
`void` | `setWestPane(JComponent c)`
`protected void` | `uninstallComponents()`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallKeyboardActions()`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    protected JInternalFrame frame

### borderListener

    protected MouseInputAdapter borderListener

### propertyChangeListener

    protected java.beans.PropertyChangeListener propertyChangeListener

### internalFrameLayout

    protected java.awt.LayoutManager internalFrameLayout

### componentListener

    protected java.awt.event.ComponentListener componentListener

### glassPaneDispatcher

    protected MouseInputListener glassPaneDispatcher

### northPane

    protected JComponent northPane

### southPane

    protected JComponent southPane

### westPane

    protected JComponent westPane

### eastPane

    protected JComponent eastPane

### titlePane

    protected BasicInternalFrameTitlePane titlePane

### openMenuKey

    protected KeyStroke openMenuKey

Constructor Detail

### BasicInternalFrameUI

    public BasicInternalFrameUI(JInternalFrame b)

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class ComponentUI

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class ComponentUI

### installDefaults

    protected void installDefaults()

### installKeyboardActions

    protected void installKeyboardActions()

### installComponents

    protected void installComponents()

### installListeners

    protected void installListeners()

### uninstallDefaults

    protected void uninstallDefaults()

### uninstallComponents

    protected void uninstallComponents()

### uninstallListeners

    protected void uninstallListeners()

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

### createLayoutManager

    protected java.awt.LayoutManager createLayoutManager()

### createPropertyChangeListener

    protected java.beans.PropertyChangeListener createPropertyChangeListener()

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent x)

  Overrides:
    getPreferredSize in class ComponentUI

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent x)

  Overrides:
    getMinimumSize in class ComponentUI

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent x)

  Overrides:
    getMaximumSize in class ComponentUI

### replacePane

    protected void replacePane(JComponent currentPane,
                               JComponent newPane)

  Adds necessary mouseHandlers to currentPane and adds it to frame. Reverse process for the newPane.

### deinstallMouseHandlers

    protected void deinstallMouseHandlers(JComponent c)

### installMouseHandlers

    protected void installMouseHandlers(JComponent c)

### createNorthPane

    protected JComponent createNorthPane(JInternalFrame w)

### createSouthPane

    protected JComponent createSouthPane(JInternalFrame w)

### createWestPane

    protected JComponent createWestPane(JInternalFrame w)

### createEastPane

    protected JComponent createEastPane(JInternalFrame w)

### createBorderListener

    protected MouseInputAdapter createBorderListener(JInternalFrame w)

### createInternalFrameListener

    protected void createInternalFrameListener()

### isKeyBindingRegistered

    protected final boolean isKeyBindingRegistered()

### setKeyBindingRegistered

    protected final void setKeyBindingRegistered(boolean b)

### isKeyBindingActive

    public final boolean isKeyBindingActive()

### setKeyBindingActive

    protected final void setKeyBindingActive(boolean b)

### setupMenuOpenKey

    protected void setupMenuOpenKey()

### setupMenuCloseKey

    protected void setupMenuCloseKey()

### getNorthPane

    public JComponent getNorthPane()

### setNorthPane

    public void setNorthPane(JComponent c)

### getSouthPane

    public JComponent getSouthPane()

### setSouthPane

    public void setSouthPane(JComponent c)

### getWestPane

    public JComponent getWestPane()

### setWestPane

    public void setWestPane(JComponent c)

### getEastPane

    public JComponent getEastPane()

### setEastPane

    public void setEastPane(JComponent c)

### getDesktopManager

    protected DesktopManager getDesktopManager()

  Returns the proper DesktopManager. Calls getDesktopPane() to find the JDesktop component and returns the desktopManager from it. If this fails, it will return a default DesktopManager that should work in arbitrary parents.

### createDesktopManager

    protected DesktopManager createDesktopManager()

### closeFrame

    protected void closeFrame(JInternalFrame f)

  This method is called when the user wants to close the frame. This action is delegated to the desktopManager.

### maximizeFrame

    protected void maximizeFrame(JInternalFrame f)

  This method is called when the user wants to maximize the frame. This action is delegated to the desktopManager.

### minimizeFrame

    protected void minimizeFrame(JInternalFrame f)

  This method is called when the user wants to minimize the frame. This action is delegated to the desktopManager.

### iconifyFrame

    protected void iconifyFrame(JInternalFrame f)

  This method is called when the user wants to iconify the frame. This action is delegated to the desktopManager.

### deiconifyFrame

    protected void deiconifyFrame(JInternalFrame f)

  This method is called when the user wants to deiconify the frame. This action is delegated to the desktopManager.

### activateFrame

    protected void activateFrame(JInternalFrame f)

  This method is called when the frame becomes selected. This action is delegated to the desktopManager.

### deactivateFrame

    protected void deactivateFrame(JInternalFrame f)

  This method is called when the frame is no longer selected. This action is delegated to the desktopManager.

### createComponentListener

    protected java.awt.event.ComponentListener createComponentListener()

### createGlassPaneDispatcher

    protected MouseInputListener createGlassPaneDispatcher()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.